# CvBlobTrackPredictor Class Reference

`#include <blobtrack.hpp>`

Inheritance diagram for CvBlobTrackPredictor:

List of all members.

## Public Member Functions

| CvBlobTrackPredictor ()
virtual CvBlob * | Predict ()=0
virtual void | Release ()=0
virtual void | Update (CvBlob *pBlob)=0

## Constructor & Destructor Documentation

CvBlobTrackPredictor::CvBlobTrackPredictor | ( | ) | `[inline]`

## Member Function Documentation

virtual CvBlob* CvBlobTrackPredictor::Predict | ( | ) | `[pure virtual]`

virtual void CvBlobTrackPredictor::Release | ( | ) | `[pure virtual]`

Implements CvVSModule.

virtual void CvBlobTrackPredictor::Update | ( | CvBlob * | pBlob ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines